Name: tintii
Version: 2.5.2
Release: alt1

Summary: A photo editor for colour-select effects
License: GPLv2
Group: Graphics

Url: http://www.indii.org/software/tintii
Source: http://www.indii.org/files/tint/releases/%name-%version.tar.gz
Source1: tintii.desktop

Provides: tint = %version-%release
Obsoletes: tint < 2.0.0

# Automatically added by buildreq on Tue Apr 26 2011 (-bi)
# optimized out: boost-devel-headers elfutils fontconfig ghostscript-classic libgdk-pixbuf libstdc++-devel python-base python-modules python-modules-compiler python-modules-email swig texlive-base-bin texlive-latex-base
BuildRequires: cvs flex gcc-c++ ghostscript-utils libgomp-devel libwxGTK2.9-devel rcs scons

# Buildreq bug: this package mistakenly optimized out
BuildRequires: boost-devel-headers

%description
Tintii is a photo editor for colour-select effects. It automatically clusters
the colours of a photo into groups, and allows each colour to be switched on or
off to create the desired effect.

%prep
%setup

%build
%define _optlevel 3
scons LINKFLAGS="-Wl,--no-as-needed `wx-config --libs` `wx-config --libs aui` -fopenmp -g -Wl,--no-as-needed"

%install
install -pD -m0755 %name %buildroot%_bindir/tintii
install -d %buildroot{%_datadir/%name,%_desktopdir}
cp -a images/ %buildroot%_datadir/tintii/
install -p -m644 tintii.htb %buildroot%_datadir/tintii/
install %SOURCE1 %buildroot%_desktopdir/tintii.desktop

%files
%_bindir/tintii
%_desktopdir/tintii.desktop
%_datadir/tintii/
%doc README.txt

%changelog
* Tue Apr 26 2011 Victor Forsiuk <force@altlinux.org> 2.5.2-alt1
- 2.5.2

* Fri Mar 25 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.4.0-alt1.2
- Rebuilt with wxGTK2.9 2.9.2-alt1.svn20110322

* Mon Mar 14 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.4.0-alt1.1
- Rebuilt with wxGTK2.9 2.9.2-alt1.svn20110312

* Mon Feb 14 2011 Victor Forsiuk <force@altlinux.org> 2.4.0-alt1
- 2.4.0
- License corrected.
- Install program help.

* Fri Mar 12 2010 Michael Shigorin <mike@altlinux.org> 2.2.0-alt2
- gratefully accepted FTBFS fix by raorn@

* Tue Sep 29 2009 Michael Shigorin <mike@altlinux.org> 2.2.0-alt1
- 2.2.0
- buildreq

* Wed May 13 2009 Michael Shigorin <mike@altlinux.org> 2.1.0-alt1
- 2.1.0
- updated an Url:

* Thu Mar 26 2009 Michael Shigorin <mike@altlinux.org> 2.0.0-alt1
- 2.0.0
  + name changed from Tint to tintii
  + no more samples/
- removed patch
- BR: s/tetex-latex/texlive-latex-base/

* Thu Dec 04 2008 Michael Shigorin <mike@altlinux.org> 1.0.1-alt2
- applied repocop patch

* Tue Aug 28 2007 Michael Shigorin <mike@altlinux.org> 1.0.1-alt1
- built for ALT Linux
- added rough sketch of a desktop file
  (borrowed/trimmed-down gimp's one)
- hardwired icon path with a band-aid patch to allow tint be
  run from any directory, not only build one
- buildreq
- NB: successful build requires fixed scons, 0.97-alt1 is broken

